Subject: A basic question

From: "Jim Vahl" <[email-masked]>
Date: Wed, 10 Oct 2012 11:03:23 -0700

All,

Our company is researching version control software, something which we have
not used previously.  I have a very basic question about git which I have
not been able to answer from reading.  As I understand it, a git repository
can be a mixture of files which are under development, staged or committed.
If we make a new build of our product we will obviously only want to include
the committed (tested) files.  

The question is this: what is the usual procedure to retrieve a set of
committed  files only from the repository to place into a distribution or
"ready to build" folder.  The same question goes for tagging a release: how
does the user get the tag to reference the committed files only and not the
most recent files which may be under development or undergoing testing.

Thanks,

Jim Vahl